%define major 1
%define girmajor 1.0
%define libname %mklibname signon-glib %{major}
%define girname %mklibname signon-glib-gir %{girmajor}
%define devname %mklibname signon-glib -d

Summary:	Authorization and authentication management for glib
Name:		libsignon-glib
Version:	1.13
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://code.google.com/p/accounts-sso/
Source0:	https://gitlab.com/accounts-sso/libsignon-glib/repository/%{name}-%{version}.tar.gz
BuildRequires:	python-gi >= 2.90
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(signond)

%description
libsignon-glib provides authorization and authentication management for GLib
applications.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Accounts and SSO (Single Sign-On) framework
Group:		System/Libraries

%description -n %{libname}
libsignon-glib provides authorization and authentication management for GLib
applications.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Signon-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc COPYING AUTHORS
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Signon-%{girmajor}.gir
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%package -n python-%{name}
Summary:	Python binding for %{name}
Group:		Development/Python

%description -n python-%{name}
Python binding for %{name}.

%files -n python-%{name}
%{py_platsitedir}/gi/overrides/Signon.*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-VERSION_%{version}-b74889415b725211c46f107103577bdaddcbd1d5

%build
./autogen.sh
%configure2_5x \
	--disable-static
make

%install
%makeinstall_std

rm -fr %{buildroot}%{_prefix}/doc

%changelog

* Thu Nov 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.13-1
- (0fcf06f) Build requires pkgconfig(gtk-doc)


